Loading...
Searching...
No Matches
XrdSysPthread.cc File Reference
`#include <cerrno>`
`#include <pthread.h>`
`#include <unistd.h>`
`#include <sys/time.h>`
`#include <sys/types.h>`
`#include "XrdSys/XrdSysPthread.hh"`
Include dependency graph for XrdSysPthread.cc:

Go to the source code of this file.

## Classes

struct | XrdSysThreadArgs

## Functions

void * | XrdSysThread_Xeq (void *myargs)

## Function Documentation

## XrdSysThread_Xeq()

void * XrdSysThread_Xeq | ( | void * | myargs | ) |

Definition at line 79 of file XrdSysPthread.cc.

{
XrdSysThreadArgs *ap = (XrdSysThreadArgs *)myargs;
void *retc;
if (ap->eDest && ap->tDesc)
ap->eDest->Emsg("Xeq", ap->tDesc, "thread started");
retc = ap->proc(ap->arg);
delete ap;
return retc;
}
XrdSysError::Emsg
int Emsg(const char *esfx, int ecode, const char *text1, const char *text2=0)
Definition XrdSysError.cc:95
XrdSysThreadArgs
Definition XrdSysPthread.cc:53
XrdSysThreadArgs::eDest
XrdSysError * eDest
Definition XrdSysPthread.cc:54
XrdSysThreadArgs::tDesc
const char * tDesc
Definition XrdSysPthread.cc:55
XrdSysThreadArgs::arg
void * arg
Definition XrdSysPthread.cc:57
XrdSysThreadArgs::proc
void *(* proc)(void *)
Definition XrdSysPthread.cc:56

References XrdSysThreadArgs::arg, XrdSysThreadArgs::eDest, XrdSysError::Emsg(), XrdSysThreadArgs::proc, and XrdSysThreadArgs::tDesc.

Referenced by XrdSysThread::Run().

Here is the call graph for this function:
Here is the caller graph for this function: